"use client"

import { useState } from "react"

import { CreateGweet } from "./create-gweet"

export const CreateGweetWrapper = ({
    replyToGweetId,
}: {
    replyToGweetId: string | null
}) => {
    const [isComment, setIsComment] = useState(true)

    return (
        <div className="px-3 md:px-6">
            <CreateGweet
                replyToGweetId={replyToGweetId}
                placeholder="Gweet your reply..."
                isComment={isComment}
            />
            {isComment && (
                <button
                    onClick={() => {
                        setIsComment(false)
                    }}
                />
            )}
        </div>
    )
}