import { IGweet } from "../types"

import { CommentButton } from "./actions/comment-button"
import { LikeButton } from "./actions/like-button"
import { RegweetButton } from "./actions/regweet-button"

export const GweetActions = ({
    gweet,
}: {
    gweet: IGweet
}) => {
    return (
        <div className="space-x-12 w-64 justify-center">
            <CommentButton gweet={gweet} />
            <RegweetButton gweet={gweet} />
            <LikeButton gweet={gweet} />
        </div>
    )
}